読者です 読者をやめる 読者になる 読者になる

もう、Gemsetsはいらない?

Ruby5から。

私がRVMを使う理由の一つとして、Gemを環境ごとにまとめて管理できるGemsetsという機能があるのですが、

「それ、Bundler使えばできんじゃね?」

っていうのがこのサイトで紹介されている方法です。

最初の

rails _3.1.4_ new rails_3_1_4

ってな感じでバージョン指定してrails newするってところがポイントなんだけど、rvm gemsetするのと大きく違わないかなと思うのか、面倒くさいと思うのか。

僕の場合、Gemsetsがごちゃごちゃになって、Railsも4〜5回ぐらいインストール。こうやって使うとRailsのインストールは1回だし、ディスク容量的には優しいのかもしれませんね。